# Search dates in activity Depending on the activity configuration, this endpoint may return price info in addition to dates. For activities with pickups, the pickup query parameter must be used. Endpoint: GET /activities/{activityUuid}/dates Version: 3.5.0 ## Path parameters: - `activityUuid` (string, required) The UUID of the activity. ## Header parameters: - `Accept-Language` (string) The value of this parameter might affect the language of the content in the response, provided a translation in the requested language is available. - `X-Musement-Application` (string) A partner's application value, used for analyzing API usage and to identify areas of improvement. - `X-Musement-Currency` (string) A valid currency code from the /currencies endpoint. Default value may vary depending on the X-Musement-Market header value. - `X-Musement-Market` (string) Musement markets contain a modified catalog of activities and prices. Partners are expected to use their assigned market code to view their customized catalog. An invalid X-Musement-Market value will return a 400 status code response. - `X-Musement-Version` (string) The API version to use for the request. When absent, the latest version is used by default, however the latest version may not be stable. Partners are encouraged to use the latest stable version: 3.4.0. Example: "3.4.0" ## Query parameters: - `date_from` (string) Filter results to those which take place on or after the specified date. When absent, today's date is used by default. - `date_to` (string) Filter results to those which take place before the specified date. When absent, a value of roughly one year from today's date is used. The exact default value varies depending on the activity configuration. - `discounts[]` (array) Response will contain a retail_prices_with_custom_discount property which contains a preview of prices after the specified discounts are applied. Up to two decimal places are permitted. Example: [10,15.5,22.05] - `pickup` (string) Filter dates to those which are available for the specified pickup. Required for activities whose order_box_elements property contains tours-and-activities-with-pickup. - `tickets_number` (integer) Filter dates to those which have enough seats available for the specified quantity. Used for activities with select seller gateways. ## Response 200 fields (application/json): - `day` (string, required) The date. Example: "1985-11-05" - `discount_amount` (object) A discount to subtract from the the "base price" due to promotions or special events. Example: {"currency":"USD","formatted_value":"$ 10.00","formatted_iso_value":"$10.00","value":10} - `discount_amount.currency` (string, required) The currency of the price, using a currency code from the /currencies endpoint. Example: "USD" - `discount_amount.formatted_iso_value` (string, required) The price and currency, formatted based on the value of the Accept-Language header value. Example: "$10.00" - `discount_amount.formatted_value` (string, required) The currency symbol and price, separated by a space. Example: "$ 10.00" - `discount_amount.value` (number, required) The numeric value of the price. Example: 10 - `merchant_price` (object) The price for partners based on commercial agreements. Appears for authenticated requests. Example: {"currency":"USD","formatted_value":"$ 10.00","formatted_iso_value":"$10.00","value":10} - `original_retail_price` (object) The base price with a service fee, but no discount. Example: {"currency":"USD","formatted_value":"$ 10.00","formatted_iso_value":"$10.00","value":10} - `original_retail_price_without_service_fee` (object) The base price with a discount, but no service fee. Example: {"currency":"USD","formatted_value":"$ 10.00","formatted_iso_value":"$10.00","value":10} - `retail_price` (object) The final price for customers. Example: {"currency":"USD","formatted_value":"$ 10.00","formatted_iso_value":"$10.00","value":10} - `retail_price_without_service_fee` (object) The base price with a discount, but no service fee. Example: {"currency":"USD","formatted_value":"$ 10.00","formatted_iso_value":"$10.00","value":10} - `retail_prices_with_custom_discount` (array) A preview of the final price for customers when custom discounts are provided via the discounts[] query parameter. Example: [{"currency":"USD","formatted_value":"$ 10.00","formatted_iso_value":"$10.00","value":10}] - `service_fee` (object) An extra fee to add to the base price to cover additional costs for creating a reservation. Example: {"currency":"USD","formatted_value":"$ 10.00","formatted_iso_value":"$10.00","value":10} - `sold_out` (boolean, required) When true, the date is no longer available and should not be shown to customers. ## Response 403 fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "0" - `message` (string, required) A message with a brief explanation of the error. Example: "You don't have permission to access this resource." ## Response 404 fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "1400" - `message` (string, required) A message with a brief explanation of the error. Example: "Activity not found." ## Response default fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "0" - `message` (string, required) A message with a brief explanation of the error. Example: "There was an error"